package com.keyware.composeanalysis.constant.enums;


/**
 * 分析等级枚举对象
 */
public enum AnalysisLevelEnum {
    //数据库的类型 还没有进行 更改，后面修改数据库 这里需要进行变更

    //检测特征级别：0文件，1函数 2:代码块 3:行

    FILE_LEVEL("文件级", 0),

    FUNCTION_LEVEL("函数级", 1),

    BLOCK_LEVEL("代码块级", 2),

    LINE_LEVEL("行级", 3);

    // 状态
    private String status;
    //状态码
    private Integer code;

    AnalysisLevelEnum(String status, Integer code) {
        this.status = status;
        this.code = code;
    }

    public String getStatus() {
        return status;
    }

    public Integer getCode() {
        return code;
    }

    public static AnalysisLevelEnum getAnalysisLevelEnum(Integer code){
        for (AnalysisLevelEnum analysisLevelEnum : AnalysisLevelEnum.values()) {
            if(analysisLevelEnum.getCode().equals(code)){
                return analysisLevelEnum;
            }
        }
        return null;
    }


}