package com.keyware.composeanalysis.constant.enums;


/**
 * 文件分析状态枚举类
 */

public enum FileAnalysisStatusEnum {

    //旧的文件分析状态（0：未分析;1:文件级已分析完成 2:文件级 3:行级别特征提取完成 4:分析失败 5:暂停分析 6:成分分析完成）

    UN_START_ANALYSIS("未开始分析",0),

    FILE_ANALYSIS_DONE("文件级已分析完成",1),

    FAILED_ANALYSIS("分析失败",2),

    PAUSE_ANALYSIS("暂停分析",3),

    ANALYSIS_DONE("成分分析完成",4);

    // 状态
    private String status;
    //状态码
    private Integer code;

    FileAnalysisStatusEnum(String status, Integer code) {
        this.status = status;
        this.code = code;
    }

    public String getStatus() {
        return status;
    }

    public Integer getCode() {
        return code;
    }



}