package com.keyware.composeanalysis.mongo;

import cn.hutool.core.date.DateTime;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;

/**
 * @author liuzongren
 * @ClassName AnalysisLogMongoDto
 * @description:  分析过程日志记录
 * @datetime 2024年 07月 23日 18:05
 * @version: 1.0
 */
@Data
@Accessors(chain =true)
@Document(collection = "analysis_log")
public class AnalysisLogMongoDto implements Serializable {


    @Id
    private String id;

    /**
     * 日志内容
     */
    private String logInfo;

    /**
     * 创建时间
     */
    private DateTime createTime;

}
