package com.keyware.composeanalysis.mongo;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;


import java.io.Serializable;
import java.util.List;

/**
 * @author liuzongren
 * @ClassName MatchOpenFile
 * @description: 匹配的开源文件信息
 * @datetime 2024年 07月 23日 18:05
 * @version: 1.0
 */
@Data
@Accessors(chain =true)
public class MatchOpenFile implements Serializable {

    @Id
    private String id;

    //匹配的开源文件名称
    private String fileName;

    //开源项目名称
    private String pName;

    //开源项目id
    private String pId;

    //匹配的开源文件所在项目版本名称
    private String version;

    //版本id
    private String versionId;

    //开源文件的详细路径
    private String sourceFilePath;

    //与被测文件的特征相似度
    private Float featureSimilarity;

    //文件开源率
    private Float openRate;

    //开源地址
    private String sourceUrl;

    //开源许可协议类型
    private List<String> licenseType;

    //文件MD5值
    private String md5;

}
