package com.keyware.composeanalysis.mongo;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.List;

/**
 * @author liuzongren
 * @ClassName MatchOpenFile
 * @description: 文件开源率匹配信息 （成分分析表）
 * @datetime 2024年 07月 23日 18:05
 * @version: 1.0
 */
@Data
@Document(collection = "match_open_file")
@Accessors(chain =true)
public class MatchOpenFileMongoDto implements Serializable {

    //ID
    @Id
    private String id;

    //文件名称
    private String fileName;

    //文件路径
    private String filePath;

    //分析类型
    private Integer analysisType;

    //与被测文件的特征相似度
    private Float featureSimilarity;

    //文件开源率
    private Float openRate;

    //文件MD5值
    private String md5;

    //当前文件是否开源
    private Boolean openType;

    //匹配的开源文件信息
    List<MatchOpenFile> subMatchOpenFiles;

}
