package com.keyware.composeanalysis.mongo;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.List;

/**
 * @author liuzongren
 * @ClassName MatchOpenProjectMongoDto
 * @description: 匹配的开源项目信息
 * @datetime 2024年 07月 26日 18:05
 * @version: 1.0
 */
@Data
@Document(collection = "match_open_project")
@Accessors(chain =true)
public class MatchOpenProjectMongoDto implements Serializable {

    @Id
    private String id;

    //开源项目版本
    private String version;

    //开源项目id
    private String projectId;

    //开源项目名称
    private String projectName;

    //开源项目文件数量
    private Integer projectFileNum;

    //匹配到的开源项目文件数量
    private Integer matchFileNum;

    //开源地址
    private String sourceUrl;

    //匹配到的开源项目文件md5值集合
    private List<String> matchFilesMd5;

    //与开源项目相似度  matchFileNum / projectFileNum
    private Double similarity;

}
