package com.keyware.composeanalysis.mongo;

import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.io.Serializable;

/**
 * <p>
 * 项目基本信息
 * </p>
 *
 * @author liuzongren
 * @since 2024-07-23
 */
@Data
@Document(collection = "PROJECTBASEDATA")
public class ProjectBaseDataMongoDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    private String id;

    /**
     * 项目id
     */
    @Field("ID")
    private String projectId;

    /**
     * 项目名称
     */
    @Field("NAME")
    private String name;

    /**
     * 项目类型
     */
    @Field("TYPE")
    private String type;

    /**
     * 当前开源项目被stars 的次数
     */
    @Field("STARS")
    private String stars;

    /**
     * 项目描述
     */
    @Field("DESCRIBE")
    private String describe;

    /**
     * 项目URL
     */
    @Field("URL")
    private String url;

    /**
     * 许可类型
     */
    @Field("LICENSETYPE")
    private String licenseType;

    /**
     * 创建时间
     */
    @Field("CREATE_TIME")
    private String createTime;

}
