//package com.keyware.composeanalysis.schedule;
//
//import cn.hutool.core.date.DateUnit;
//import cn.hutool.core.date.DateUtil;
//import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
//import com.keyware.common.constant.enums.AnalysisStatusEnum;
//import com.keyware.composeanalysis.constant.MongoDBConst;
//import com.keyware.composeanalysis.constant.enums.FileAnalysisStatusEnum;
//import com.keyware.composeanalysis.entity.AnalysisTask;
//import com.keyware.composeanalysis.mongo.FileDataMongoDto;
//import com.keyware.composeanalysis.service.impl.AnalysisTaskServiceImpl;
//import com.keyware.composeanalysis.util.AnalysisLogUtil;
//import com.mongodb.client.MongoClient;
//import jakarta.annotation.Resource;
//import lombok.extern.log4j.Log4j2;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.data.mongodb.core.MongoTemplate;
//import org.springframework.data.mongodb.core.query.Query;
//import org.springframework.scheduling.annotation.EnableScheduling;
//import org.springframework.scheduling.annotation.Scheduled;
//
//import java.util.List;
//
//import static org.springframework.data.mongodb.core.query.Criteria.where;
//
///**
// * 定时检测 分析任务是否完成
// */
//@Log4j2
//@EnableScheduling
//@Configuration
//public class AnalysisStatusSchedule {
//
//    @Resource
//    private AnalysisTaskServiceImpl taskService;
//
//    @Resource
//    private MongoClient mongoClient;
//
//    /**
//     * 定时查询任务库 ,看是否存在已经分析完成的任务，如果存在 变更任务的状态
//     */
//    @Scheduled(cron = "*/1 * * * * ?") // 每五秒钟执行一次
//    public void startTask() {
//        //查询正在进行成分分析的任务
//        LambdaQueryWrapper<AnalysisTask> taskQueryWrapper =  new LambdaQueryWrapper<>();
//        taskQueryWrapper.eq(AnalysisTask::getAnalysisStatus, AnalysisStatusEnum.ANALYSISING.getCode());
//        taskQueryWrapper.eq(AnalysisTask::getDecompressionFlag,true);
//        taskQueryWrapper.eq(AnalysisTask::getComposeFlag,AnalysisStatusEnum.ANALYSISING.getCode());
//        List<AnalysisTask> composeAnalysisTasks = taskService.list(taskQueryWrapper);
//
//        //循环遍历任务状态
//        for (AnalysisTask composeTask : composeAnalysisTasks) {
//            MongoTemplate mongoTemplate = new MongoTemplate(mongoClient, MongoDBConst.DB_NAME_PREFIX+composeTask.getId());
//
//            Query fileQuery =  new Query(where("isDirectory").is(false)
//                    .and("fileAnalysisStatus").in(FileAnalysisStatusEnum.FAILED_ANALYSIS.getCode(),FileAnalysisStatusEnum.ANALYSIS_DONE.getCode()));
//            Long finishedAnalysisFileCount = mongoTemplate.count(fileQuery, FileDataMongoDto.class);
//
//            //所有文件分析完毕,将成分分析的状态 更改为已完成
//            if (finishedAnalysisFileCount.intValue() == composeTask.getFileCount()){
//                composeTask.setComposeFlag(AnalysisStatusEnum.ANALYSIS_DONE.getCode());
//                taskService.updateById(composeTask);
//                AnalysisLogUtil.insert(mongoTemplate,"成分分析已完成,耗时:"+ DateUtil.between(composeTask.getCreateTime(),DateUtil.date(), DateUnit.SECOND) +"秒");
//            }
//        }
//    }
//}
