package com.keyware.composeanalysis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.keyware.composeanalysis.entity.AnalysisTask;
import com.keyware.composeanalysis.response.AnalysisResp;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author liuzongren
 * @since 2024-07-23
 */
public interface AnalysisTaskService extends IService<AnalysisTask> {

    /**
     * 执行成分分析
     *
     * @param analysisTask
     */
    void doComposeAnalyze(AnalysisTask analysisTask) throws InterruptedException;

    /**
     * 停止或暂停分析任务
     *
     * @param taskId 任务id
     * @return AnalysisResp 成分分析任务响应
     * author liuzongren
     */
    void stopComposeAnalysisTask(String taskId);

    /**
     * 重新分析任务,
     *
     * @param taskId 任务id
     * @return AnalysisResp 成分分析任务响应
     * author liuzongren
     */
    Boolean restartComposeAnalysisTask(String taskId);


    /**
     * 恢复分析任务
     *
     * @param analysisTask 任务
     * @return AnalysisResp 成分分析任务响应
     * author liuzongren
     */
    void recoveryComposeAnalysisTask(AnalysisTask analysisTask);


}
